(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*  Soubor: CW.PAS                                                         *)
(*  Obsah: program pro vypocet plastickych boku pneumatik                  *)
(*  Posledni uprava: 22.8.2008                                             *)
(*  Autor: Mircosoft                                                       *)
(*  Pro kompilaci: nic                                                     *)
(*  Pro spusteni: nic                                                      *)
(*  Upozorneni: tyto zdrojove kody pouzivate na vlastni nebezpeci          *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
program Cool_Wheels;

procedure RozvinPlast(md,vd,h:real; var mr,vr,alfa:real);{obecna procedura pro rozvinuti plaste kuzele nebo valce}
var a,b,c:real;
Begin
if md>vd then begin{kdyz je zadany mensi prumer vetsi nez ten vetsi, radsi je prohodim}
              a:=md;
              md:=vd;
              vd:=a;
              end;
if md=vd then begin {je to valec}
              mr:=pi*md; {obvod podstavy = sirka plaste}
              vr:=h; {vyska plaste je rovna te zadane}
              alfa:=0; {uhel dvou rovnobezek je 0}
              end
         else begin {je to kuzel, at uz komoly nebo obycejny}
              md:=md/2; vd:=vd/2; {odtedka to jsou polomery!}
              {pomocne hodnoty:}
              a:=2*pi*vd;
              b:=2*pi*md;
              c:=sqrt(sqr(h)+sqr(vd-md));
              {vlastni vypocet:}
              alfa:=(a-b)/c;
              mr:=b/alfa;
              vr:=a/alfa;
              end;
End;{rozvinplast}

var malyprumer,velkyprumer,vyska:real;
    o:char;
    stredniprumer,mr,sr,vr,alfa:real;

BEGIN
writeln('Mircosoft''s Cool Wheels');
writeln('Program pro vypocet plastickych boku pneumatik');
 repeat
 writeln('~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~');
 writeln('(pozor, nekontroluje se smysluplnost zadanych hodnot!)');
 writeln;
 write('Zadej vnitrni prumer boku pneumatiky: '); readln(malyprumer);
 write('Zadej vnejsi prumer boku pneumatiky:  '); readln(velkyprumer);
 write('Zadej pozadovanou tloustku vyduti:    '); readln(vyska);
 writeln;
 write('Pocitam...');
 stredniprumer:=(malyprumer+velkyprumer)/2;
 rozvinplast(malyprumer,stredniprumer,vyska,mr,sr,alfa);{vnitrni kuzel}
 rozvinplast(stredniprumer,velkyprumer,vyska,sr,vr,alfa);{vnejsi kuzel}
 alfa:=360-((alfa/pi)*180); {prevod na uhel prostrihu a na stupne}
 writeln(' hotovo.');
 writeln;
 writeln('Vnitrni prumer:',2*mr:5:2,' (polomer: ',mr:2:2,')');
 writeln('Vnejsi prumer:',2*vr:6:2,' (polomer: ',vr:2:2,')');
 writeln('Stredni prumer (pro pripadne naryhovani): ',2*sr:0:2,' (polomer: ',sr:0:2,')');
 writeln('Uhel prostrihu: ',alfa:0:2,' stupnu');
 writeln;
 write('Dalsi vypocet? (A/N)');
 readln(o);
 writeln;
 until upcase(o)<>'A';
END.